<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [buyBackShares](./bitburner.corporation.buybackshares.md)

## Corporation.buyBackShares() method

Buyback shares. Spend money from the player's wallet to transfer shares from public traders to the CEO.

**Signature:**

```typescript
buyBackShares(amount: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

amount


</td><td>

number


</td><td>

Amount of shares to buy back, must be integer and larger than 0


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

